IP Intelligence
IP Intelligence: bgp
Free. Requires the tools feature.
POST
/
tools
/
ip-intelligence
/
bgp
IP Intelligence: bgp
curl --request POST \
--url https://api.osint.ly/tools/ip-intelligence/bgp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "1.1.1.1"
}
'import requests
url = "https://api.osint.ly/tools/ip-intelligence/bgp"
payload = { "ip": "1.1.1.1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '1.1.1.1'})
};
fetch('https://api.osint.ly/tools/ip-intelligence/bgp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/ip-intelligence/bgp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ip' => '1.1.1.1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/ip-intelligence/bgp"
payload := strings.NewReader("{\n \"ip\": \"1.1.1.1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/ip-intelligence/bgp")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ip\": \"1.1.1.1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/ip-intelligence/bgp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ip\": \"1.1.1.1\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"routing": {
"observedAt": "2026-11-12T16:00:00",
"firstSeen": {
"prefix": "1.1.1.0/24",
"origin": "19855",
"time": "2001-11-14T00:00:00"
},
"lastSeen": {
"prefix": "1.1.1.0/24",
"origin": "13335",
"time": "2026-11-12T16:00:00"
},
"visibility": {
"v4": {
"ris_peers_seeing": 234,
"total_ris_peers": 235
},
"v6": {
"ris_peers_seeing": 0,
"total_ris_peers": 0
}
},
"origins": [
{
"origin": 13335,
"route_objects": [
"APNIC"
]
}
],
"lessSpecifics": [],
"moreSpecifics": []
},
"rpki": {
"status": "valid",
"prefix": "1.1.1.0/24",
"asn": "13335"
},
"partialErrors": [],
"prefixes": [
{
"prefix": "1.1.1.0/24",
"ip": "1.1.1.1",
"cidr": 24,
"asn": {
"asn": 13335,
"country_code": "",
"description": "",
"name": ""
}
}
],
"allocation": null,
"prefix": {
"asDescription": "",
"asName": "",
"asn": 13335,
"cidr": 24,
"countryCode": "",
"prefix": "1.1.1.0/24"
},
"ptrRecord": null
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "bgp",
"query": {
"ip": "1.1.1.1"
},
"tool": "ip-intelligence"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Was this page helpful?
⌘I
IP Intelligence: bgp
curl --request POST \
--url https://api.osint.ly/tools/ip-intelligence/bgp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "1.1.1.1"
}
'import requests
url = "https://api.osint.ly/tools/ip-intelligence/bgp"
payload = { "ip": "1.1.1.1" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '1.1.1.1'})
};
fetch('https://api.osint.ly/tools/ip-intelligence/bgp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/ip-intelligence/bgp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ip' => '1.1.1.1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/ip-intelligence/bgp"
payload := strings.NewReader("{\n \"ip\": \"1.1.1.1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/ip-intelligence/bgp")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ip\": \"1.1.1.1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/ip-intelligence/bgp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ip\": \"1.1.1.1\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"routing": {
"observedAt": "2026-11-12T16:00:00",
"firstSeen": {
"prefix": "1.1.1.0/24",
"origin": "19855",
"time": "2001-11-14T00:00:00"
},
"lastSeen": {
"prefix": "1.1.1.0/24",
"origin": "13335",
"time": "2026-11-12T16:00:00"
},
"visibility": {
"v4": {
"ris_peers_seeing": 234,
"total_ris_peers": 235
},
"v6": {
"ris_peers_seeing": 0,
"total_ris_peers": 0
}
},
"origins": [
{
"origin": 13335,
"route_objects": [
"APNIC"
]
}
],
"lessSpecifics": [],
"moreSpecifics": []
},
"rpki": {
"status": "valid",
"prefix": "1.1.1.0/24",
"asn": "13335"
},
"partialErrors": [],
"prefixes": [
{
"prefix": "1.1.1.0/24",
"ip": "1.1.1.1",
"cidr": 24,
"asn": {
"asn": 13335,
"country_code": "",
"description": "",
"name": ""
}
}
],
"allocation": null,
"prefix": {
"asDescription": "",
"asName": "",
"asn": 13335,
"cidr": 24,
"countryCode": "",
"prefix": "1.1.1.0/24"
},
"ptrRecord": null
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "bgp",
"query": {
"ip": "1.1.1.1"
},
"tool": "ip-intelligence"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}